function BaseItem(name) {
  this.name = name;
}

BaseItem.prototype.drop = function() {
  console.log(`${this.name}被丢弃了`);
};

// 子类 消耗物品类
function ConsumableItem(name, consumeAmount) {
  BaseItem.call(this, name);
  this.name = '消耗物品';
  this.consume = consumeAmount;
}

ConsumableItem.prototype = Object.create(BaseItem.prototype);
ConsumableItem.prototype.constructor = ConsumableItem;

ConsumableItem.prototype.use = function() {
  console.log(`使用了${this.consume}个：${this.name}`);
};

// 子类 装备类
function EquipmentItem(name, durability) {
  BaseItem.call(this, name);
  this.name = '装备';
  this.najiu = durability;
}

EquipmentItem.prototype = Object.create(BaseItem.prototype);
EquipmentItem.prototype.constructor = EquipmentItem;

EquipmentItem.prototype.equip = function() {
  console.log(`装备了${this.name}，这件装备还有：${this.najiu}点耐久`);
};

module.exports = { BaseItem, ConsumableItem, EquipmentItem };
